Subject: [nfsv4] mandatory locking attributes?

From: [email-masked]
Date: Fri, 20 Jun 2003 22:53:13 -0400 (EDT)

Just a thought loosely related to the discussion w.r.t. mandatory locking.

It might be nice to add a couple of file attributes to a future rev of
the protocol:
- a read-only boolean indicating if mandatory locking is being provided
  for a file
- a write-only attribute that enables/disables mandatory locking for a
  file (This could be problematic if locks are on the file at the time
  the attribute is set, but it could be specified that it return
  NFSERR_LOCKED if there are any current locks on the file?)

Anyhow, just a thought, rick

_______________________________________________
nfsv4 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nfsv4